## tcpflow 1.4.0+repack1

=== src/http-parser/Makefile ===
# Copyright Joyent, Inc. and other Node contributors. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to
# deal in the Software without restriction, including without limitation the
# rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
# sell copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
# IN THE SOFTWARE.

PLATFORM ?= $(shell sh -c 'uname -s | tr "[A-Z]" "[a-z]"')
SONAME ?= libhttp_parser.so.2.1

CC?=gcc
AR?=ar

CPPFLAGS += -I.
CPPFLAGS_DEBUG = $(CPPFLAGS) -DHTTP_PARSER_STRICT=1
CPPFLAGS_DEBUG += $(CPPFLAGS_DEBUG_EXTRA)
CPPFLAGS_FAST = $(CPPFLAGS) -DHTTP_PARSER_STRICT=0
CPPFLAGS_FAST += $(CPPFLAGS_FAST_EXTRA)

CFLAGS += -Wall -Wextra -Werror
CFLAGS_DEBUG = $(CFLAGS) -O0 -g $(CFLAGS_DEBUG_EXTRA)
CFLAGS_FAST = $(CFLAGS) -O3 $(CFLAGS_FAST_EXTRA)
CFLAGS_LIB = $(CFLAGS_FAST) -fPIC

LDFLAGS_LIB = $(LDFLAGS) -shared

ifneq (darwin,$(PLATFORM))
# TODO(bnoordhuis) The native SunOS linker expects -h rather than -soname...
LDFLAGS_LIB += -Wl,-soname=$(SONAME)
endif

test: test_g test_fast
	./test_g
	./test_fast

test_g: http_parser_g.o test_g.o
	$(CC) $(CFLAGS_DEBUG) $(LDFLAGS) http_parser_g.o test_g.o -o $@

test_g.o: test.c http_parser.h Makefile
	$(CC) $(CPPFLAGS_DEBUG) $(CFLAGS_DEBUG) -c test.c -o $@

http_parser_g.o: http_parser.c http_parser.h Makefile
	$(CC) $(CPPFLAGS_DEBUG) $(CFLAGS_DEBUG) -c http_parser.c -o $@

test_fast: http_parser.o test.o http_parser.h
	$(CC) $(CFLAGS_FAST) $(LDFLAGS) http_parser.o test.o -o $@

test.o: test.c http_parser.h Makefile
	$(CC) $(CPPFLAGS_FAST) $(CFLAGS_FAST) -c test.c -o $@

http_parser.o: http_parser.c http_parser.h Makefile
	$(CC) $(CPPFLAGS_FAST) $(CFLAGS_FAST) -c http_parser.c

test-run-timed: test_fast
	while(true) do time ./test_fast > /dev/null; done

test-valgrind: test_g
	valgrind ./test_g

libhttp_parser.o: http_parser.c http_parser.h Makefile
	$(CC) $(CPPFLAGS_FAST) $(CFLAGS_LIB) -c http_parser.c -o libhttp_parser.o

library: libhttp_parser.o
	$(CC) $(LDFLAGS_LIB) -o $(SONAME) $<

package: http_parser.o
	$(AR) rcs libhttp_parser.a http_parser.o

url_parser: http_parser.o contrib/url_parser.c
	$(CC) $(CPPFLAGS_FAST) $(CFLAGS_FAST) $^ -o $@

url_parser_g: http_parser_g.o contrib/url_parser.c
	$(CC) $(CPPFLAGS_DEBUG) $(CFLAGS_DEBUG) $^ -o $@

parsertrace: http_parser.o contrib/parsertrace.c
	$(CC) $(CPPFLAGS_FAST) $(CFLAGS_FAST) $^ -o parsertrace

parsertrace_g: http_parser_g.o contrib/parsertrace.c
	$(CC) $(CPPFLAGS_DEBUG) $(CFLAGS_DEBUG) $^ -o parsertrace_g

tags: http_parser.c http_parser.h test.c
	ctags $^

clean:
	rm -f *.o *.a tags test test_fast test_g \
		http_parser.tar libhttp_parser.so.* \
		url_parser url_parser_g parsertrace parsertrace_g

contrib/url_parser.c:	http_parser.h
contrib/parsertrace.c:	http_parser.h

.PHONY: clean package test-run test-run-timed test-valgrind

=== src/dfxml/python/Makefile ===
check: check-dfxml check-dfxml_tool
	@echo "Tests passed!"

check-dfxml:
	./test_dfxml.sh

check-dfxml_tool:
	./test_dfxml_tool.sh

clean:
	rm -f dfxml_tool_*xml

## tcpflow 0.21.ds1

=== debian/changelog ===
tcpflow (0.21.ds1-6) unstable; urgency=low

  * debian/control: Build-depend on hardening-includes.
  * debian/rules: Use hardening.make.
  * debian/patches/10_vlan.diff: Dropped (closes: #558209).
  * debian/patches/series: Update.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 14 Jan 2010 20:17:47 +0100

tcpflow (0.21.ds1-5) unstable; urgency=low

  * Switch to 3.0 (quilt) source format:
    + Drop build-depends on quilt.
    + Remove patch/unpatch logic from debian/rules.
    + Refresh all patches.
  * Use dh(1):
    + debian/compat: Bump to 7.
    + debian/control: Build-depend on debhelper (>> 7).
    + debian/rules: Simplify.
  * debian/patches/10_vlan.diff: New patch, makes tcpflow skip VLAN
    headers if present (closes: #536792).
  * debian/patches/series: Update.
  * debian/control: Bump Standards-Version to 3.8.3, no changes needed.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 09 Nov 2009 19:55:38 +0100

tcpflow (0.21.ds1-4) unstable; urgency=low

  * debian/patches/20_fix-usage.diff: New patch, fixes wrong usage output
    (closes: #499158).
  * debian/control: Bump Standards-Version to 3.8.2, no changes needed.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 21 Jun 2009 19:22:28 +0200

tcpflow (0.21.ds1-3) unstable; urgency=low

  * debian/patches/10_extra-opts.diff: Fix off-by-one error in handling of
    isn, the handshake SYN packet counts for one but doesn't contain data
    (closes: #477163).

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 01 May 2008 13:54:05 +0200

tcpflow (0.21.ds1-2) unstable; urgency=low

  * debian/control: Bump Standards-Version to 3.7.3, no changes needed.
  * debian/copyright: Add actual copyright notice (lintian warning).

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 10 Mar 2008 21:22:23 +0100

tcpflow (0.21.ds1-1) unstable; urgency=low

  * Repack tarball from Git.
  * debian/control: Add Homepage, Vcs-Browser and Vcs-Git fields.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 14 Oct 2007 17:23:21 +0200

tcpflow (0.21-12) unstable; urgency=low

  * Convert to quilt for patch management:
    + debian/control: build-depend on quilt (>= 0.40).
    + debian/rules: Include /usr/share/quilt/quilt.make and call quilt
      targets.

  * Split monolithic Debian diff:
    + debian/patches/10_extra-opts.diff: Add options -C and -e.
    + debian/patches/50_autotools-dev.diff: Make config.{guess,sub}
      exec newer versions of themselves if autotools-dev is installed.

  * debian/control: Don't build-depend on automake1.7, but on autotools-dev.
  * debian/rules: Don't reconf.  Major cleanup.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 01 Sep 2007 12:49:18 +0200

tcpflow (0.21-11) unstable; urgency=high

  * Fix broken Debian-specific changes:
    + -C and -c *must* imply -s to strip non-printable characters or
      network data could end up messing with the terminal; this is
      potentially a security issue, hence urgency: high.
    + Reimplement Debian-specific option -e from scratch, the previous
      implementation was tragically flawed: it assumed that the entirety
      of the TCP connection would have only two segments, which is of
      course rarely true...  Do it properly by finding out who's the
      client and who's the server by examining the TCP handshake. Also
      mention -e in usage.
    + Fix spelling errors in Debian-specific patches.
    + Fix the manpage to make explanations actually match their
      corresponding options (closes: #392676).

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 14 Oct 2006 16:38:10 +0200

tcpflow (0.21-10) unstable; urgency=low

  * debian/control:
    + Set myself as maintainer, not just uploader.
    + Build-Depend on debhelper (>> 5.0.0), libpcap0.8-dev.
  * debian/compat: New file.
  * debian/rules: Don't set DH_COMPAT.

 -- Romain Francoise <rfrancoise@debian.org>  Tue,  3 Oct 2006 08:16:37 +0200

tcpflow (0.21-9) unstable; urgency=low

  * Updated Debian Standards version to 3.7.2
  * Restore behaviour of the '-C' switch, which was broken in
    the previous release.
    (Closes: #368728)

 -- Steve Kemp <skx@debian.org>  Friday, 2 June 2006 09:54:06 +0000

tcpflow (0.21-8) unstable; urgency=low

  * Changed the default command line arguments, so that -C doesnt
    imply -s.
  * Updated documentation to match.

 -- Steve Kemp <skx@debian.org>  Saturday, 25 February 2006 19:43:56 +0000

tcpflow (0.21-7) unstable; urgency=low

  * Updated the debhelper compatability level to four.
  * Updated Debian Standards Version.

 -- Steve Kemp <skx@debian.org>  Monday, 16 January 2006 15:40:19 +0000

tcpflow (0.21-6) unstable; urgency=high

  * Updated to Build-Dep upon the automake1.7 package which
    should finally allow it to build correctly.  (Verified this
    with pbuilder)
    (Closes: #272555).
  * Severity set to medium as this is the second revision
    which didn't correctly build from source.

 -- Steve Kemp <skx@debian.org>  Tuesday, 21 September 2004 19:39:26 +0000

tcpflow (0.21-5) unstable; urgency=low

  * Fix the FTBFS problems which occurred due to timestamp issues
    on the autoconf files.  (Closes: #271159).

 -- Steve Kemp <skx@debian.org>  Friday, 7 September 2004 21:52:46 +0000

tcpflow (0.21-4) unstable; urgency=high

  * Fix the FTBFS issue which was caused by out of date
    autoconf files.
    (Closes: #259890)	

 -- Steve Kemp <skx@debian.org>  Monday, 16 August 2004 21:13:30 +0000

tcpflow (0.21-3) unstable; urgency=medium

  * Fixes the longstanding (two years!) bug where occaisional
    source port reuse causes captures to have large amounts of
    erroneous NULL characters.
    (Closes: #143826) Major thanks to Mike Castle for diagnosing
    the source of this bug and submitting an almost perfect patch.
  * Added the ability to colour code the output when dumping to
    the console.  Alternate flows appear in alternating colours.
    (Closes: #233082)

 -- Steve Kemp <skx@debian.org>  Thursday, 15 July 2004 23:38:12 +0000	



=== debian/control ===
Source: tcpflow
Section: net
Priority: optional
Maintainer: Romain Francoise <rfrancoise@debian.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>> 7), libpcap0.8-dev, autotools-dev,
               hardening-includes
Homepage: http://www.circlemud.org/~jelson/software/tcpflow/
Vcs-Browser: http://git.debian.org/?p=users/rfrancoise/tcpflow.git
Vcs-Git: git://git.debian.org/git/users/rfrancoise/tcpflow.git

Package: tcpflow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: tcpdump
Description: TCP flow recorder
 tcpflow is a program that captures data transmitted as part of TCP
 connections (flows), and stores the data in a way that is convenient
 for protocol analysis or debugging. A program like 'tcpdump' shows a
 summary of packets seen on the wire, but usually doesn't store the
 data that's actually being transmitted. In contrast, tcpflow
 reconstructs the actual data streams and stores each flow in a
 separate file for later analysis.
 .
 tcpflow understands sequence numbers and will correctly reconstruct
 data streams regardless of retransmissions or out-of-order delivery.
 However, it currently does not understand IP fragments; flows
 containing IP fragments will not be recorded properly.
 .
 tcpflow is based on the LBL Packet Capture Library and therefore
 supports the same rich filtering expressions that programs like
 'tcpdump' support. tcpflow can also rebuild flows from data captured
 with 'tcpdump -w'.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/hardening-includes/hardening.make

export CFLAGS += $(HARDENING_CFLAGS)
export LDFLAGS += $(HARDENING_LDFLAGS)

%:
	dh $@

## tcpflow 1.3.0+dfsg

=== debian/changelog ===
tcpflow (1.3.0+dfsg-2) unstable; urgency=low

  * updated upstream URL
  * Package moved to unstable

 -- Dima Kogan <dima@secretsauce.net>  Sun, 07 Jul 2013 18:09:31 -0700

tcpflow (1.3.0+dfsg-1) experimental; urgency=low

  * New Maintainer (Closes: #673637)
  * Package now follows new upstream:
    http://www.afflib.org/software/tcpflow/ . This fixes several bugs:
    (Closes: #636922, #536792, #611047, #636212)
  * Updated debianization
    - moved to debhelper v9, so debian/rules is now much simpler
    - added watch files
    - expanded debian/copyright
    - now building a tcpflow-dbg package
  
 -- Dima Kogan <dima@secretsauce.net>  Sat, 02 Feb 2013 02:16:53 -0800

tcpflow (0.21.ds1-7) unstable; urgency=low

  * Switch to debhelper compat level 9, enable hardening via
    dpkg-buildflags.
  * Override lintian warning about stack protector: the binary is
    correctly built with stack protection enabled, but doesn't have any
    arrays on the stack.
  * Override lintian tag 'package-needs-versioned-debhelper-build-depends'.
  * Bump Standards-Version to 3.9.3.
  * Set Maintainer to Debian QA group.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 20 May 2012 12:59:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,21 @@
 Source: tcpflow
 Section: net
 Priority: optional
-Maintainer: Romain Francoise <rfrancoise@debian.org>
-Standards-Version: 3.8.3
-Build-Depends: debhelper (>> 7), libpcap0.8-dev, autotools-dev,
-               hardening-includes
-Homepage: http://www.circlemud.org/~jelson/software/tcpflow/
-Vcs-Browser: http://git.debian.org/?p=users/rfrancoise/tcpflow.git
-Vcs-Git: git://git.debian.org/git/users/rfrancoise/tcpflow.git
+Maintainer: Dima Kogan <dima@secretsauce.net>
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9),
+               libpcap0.8-dev,
+               zlib1g,
+               dh-autoreconf,
+# openssl dependency is for the test suite
+               openssl
+Homepage: https://github.com/simsong/tcpflow
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tcpflow.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/tcpflow.git
 
 Package: tcpflow
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: tcpdump
 Description: TCP flow recorder
@@ -31,3 +36,29 @@
  supports the same rich filtering expressions that programs like
  'tcpdump' support. tcpflow can also rebuild flows from data captured
  with 'tcpdump -w'.
+
+Package: tcpflow-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: ${misc:Depends}, tcpflow (= ${binary:Version})
+Description: TCP flow recorder - debug symbols
+ tcpflow is a program that captures data transmitted as part of TCP
+ connections (flows), and stores the data in a way that is convenient
+ for protocol analysis or debugging. A program like 'tcpdump' shows a
+ summary of packets seen on the wire, but usually doesn't store the
+ data that's actually being transmitted. In contrast, tcpflow
+ reconstructs the actual data streams and stores each flow in a
+ separate file for later analysis.
+ .
+ tcpflow understands sequence numbers and will correctly reconstruct
+ data streams regardless of retransmissions or out-of-order delivery.
+ However, it currently does not understand IP fragments; flows
+ containing IP fragments will not be recorded properly.
+ .
+ tcpflow is based on the LBL Packet Capture Library and therefore
+ supports the same rich filtering expressions that programs like
+ 'tcpdump' support. tcpflow can also rebuild flows from data captured
+ with 'tcpdump -w'.
+ .
+ Debug symbols

=== debian/watch ===
version = 3
opts=dversionmangle=s/\+dfsg$// \
  https://github.com/simsong/tcpflow/tags .*/tcpflow/archive/tcpflow-(\d[\d\.]+).tar.gz

## tcpflow 1.4.0+repack1

=== debian/changelog ===
tcpflow (1.4.0+repack1-2) unstable; urgency=low

  * imported upstream patches to let non-x86 builds work (Closes: #725630)
  * patched the source to build on kfreebsd (Closes: #725660)
  * debian/watch version mangling now handles the +repack source

 -- Dima Kogan <dima@secretsauce.net>  Tue, 05 Nov 2013 12:03:56 -0800

tcpflow (1.4.0-1) unstable; urgency=low

  * Upstream update

 -- Dima Kogan <dima@secretsauce.net>  Thu, 05 Sep 2013 20:24:08 -0700

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,10 @@
                zlib1g,
                dh-autoreconf,
 # openssl dependency is for the test suite
-               openssl
+               openssl,
+               libssl-dev,
+               libboost-dev,
+               libcairo2-dev
 Homepage: https://github.com/simsong/tcpflow
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tcpflow.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/tcpflow.git

=== debian/watch ===
version = 3
opts=dversionmangle=s/\+dfsg|\+repack.*$// \
  https://github.com/simsong/tcpflow/tags .*/tcpflow/archive/tcpflow-(\d[\d\.]+).tar.gz

## tcpflow 1.4.3+repack1

=== debian/changelog ===
tcpflow (1.4.3+repack1-1) unstable; urgency=low

  * Upstream update to 1.4.3 (Closes: #729328)
  * Using in-debian libhttp-parser instead of the in-tree one

 -- Dima Kogan <dima@secretsauce.net>  Sat, 07 Dec 2013 11:03:08 -0800

tcpflow (1.4.0+repack1-1) unstable; urgency=low

  * Bumped the major version to indicate that the sources were repacked

 -- Dima Kogan <dima@secretsauce.net>  Sun, 15 Sep 2013 02:18:32 -0700

## tcpflow 1.4.4%2Brepack1

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_strip:
	dh_strip --dbg-package=tcpflow-dbg

## tcpflow 1.4.4+repack1

=== src/dfxml/python/Makefile ===
check: \
  check-dfxml \
  check-cat_fileobjects \
  check-dfxml_tool \
  check-idifference-dfxml \
  check-mac_timelines
	@echo "Tests passed!"

check-dfxml:
	./test_dfxml.sh

check-cat_fileobjects:
	./test_cat_fileobjects.sh

check-dfxml_tool:
	./test_dfxml_tool.sh

check-idifference-dfxml:
	./test_idifference_to_dfxml.sh

check-mac_timelines:
	./test_mac_timelines.sh
	
clean:
	rm -f dfxml_tool_*xml
	rm -f cat_test_*.dfxml
	rm -f idifference_test.txt
	rm -f idifference_test*.dfxml
	rm -f demo_mac_timeline*.txt

=== debian/changelog ===
tcpflow (1.4.4+repack1-3) unstable; urgency=medium

  * Bug fix: "tcpflow with no -i doesn't work", thanks to
    jidanni@jidanni.org; (Closes: #734064).
  * Bug fix: "tcpflow prints "write error to stdout" after every
    packet", thanks to Frank Gevaerts (Closes: #736417).
  * I now build a 'tcpflow-nox' package to provide a tcpflow without
    dependencies on x11 (Closes: #729360).
  * Bumped Standards-Version to 3.9.5; no changes necessary

 -- Dima Kogan <dima@secretsauce.net>  Sat, 31 May 2014 12:49:51 -0700

tcpflow (1.4.4+repack1-2) unstable; urgency=low

  * Bug fix: "FTBFS: test failures on armel, sparc" (Closes: #731673)

 -- Dima Kogan <dima@secretsauce.net>  Mon, 13 Jan 2014 00:01:47 -0800

tcpflow (1.4.4+repack1-1) unstable; urgency=low

  * Upstream update to 1.4.4

 -- Dima Kogan <dima@secretsauce.net>  Sun, 05 Jan 2014 01:54:19 -0800

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: net
 Priority: optional
 Maintainer: Dima Kogan <dima@secretsauce.net>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9),
                libpcap0.8-dev,
                zlib1g,
-               dh-autoreconf,
+               autoconf, automake,
 # openssl dependency is for the test suite
                openssl,
                libssl-dev,
                libboost-dev,
-               libcairo2-dev
+               libcairo2-dev,
+               libhttp-parser-dev
 Homepage: https://github.com/simsong/tcpflow
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tcpflow.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/tcpflow.git
@@ -20,6 +21,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: tcpflow-nox
 Suggests: tcpdump
 Description: TCP flow recorder
  tcpflow is a program that captures data transmitted as part of TCP
@@ -39,6 +41,35 @@
  supports the same rich filtering expressions that programs like
  'tcpdump' support. tcpflow can also rebuild flows from data captured
  with 'tcpdump -w'.
+
+Package: tcpflow-nox
+Architecture: any
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: tcpflow
+Provides: tcpflow
+Suggests: tcpdump
+Description: TCP flow recorder - version without X11 dependencies 
+ tcpflow is a program that captures data transmitted as part of TCP
+ connections (flows), and stores the data in a way that is convenient
+ for protocol analysis or debugging. A program like 'tcpdump' shows a
+ summary of packets seen on the wire, but usually doesn't store the
+ data that's actually being transmitted. In contrast, tcpflow
+ reconstructs the actual data streams and stores each flow in a
+ separate file for later analysis.
+ .
+ tcpflow understands sequence numbers and will correctly reconstruct
+ data streams regardless of retransmissions or out-of-order delivery.
+ However, it currently does not understand IP fragments; flows
+ containing IP fragments will not be recorded properly.
+ .
+ tcpflow is based on the LBL Packet Capture Library and therefore
+ supports the same rich filtering expressions that programs like
+ 'tcpdump' support. tcpflow can also rebuild flows from data captured
+ with 'tcpdump -w'.
+ .
+ This package has no dependency on libcairo or any x11 libraries, and cannot
+ generate graphical reports.
 
 Package: tcpflow-dbg
 Section: debug

## tcpflow 1.4.5+repack1

=== src/be13_api/Makefile ===
CPPFLAGS=-I.. -I../.. -I. -I/usr/local/include -I/opt/local/include -L/usr/local/lib  -L/opt/local/lib
all:
	(cd ..; $(MAKE))


stand: feature_sql
feature_sql: feature_recorder_sql.cpp beregex.cpp
	g++ -o stand feature_recorder_sql.cpp beregex.cpp histogram.cpp unicode_escape.cpp -DSTAND -lsqlite3 $(CPPFLAGS) -lssl -ltre -lcrypto

=== src/dfxml/python/Makefile ===
--- 
+++ 
@@ -3,8 +3,17 @@
   check-cat_fileobjects \
   check-dfxml_tool \
   check-idifference-dfxml \
-  check-mac_timelines
+  check-mac_timelines \
+  check-Objects
+	@echo ""
 	@echo "Tests passed!"
+	@echo "Clean up the test results with 'make clean'."
+
+doc: \
+  Objects.html
+
+Objects.html: Objects.py
+	python3.3 -m pydoc -w Objects
 
 check-dfxml:
 	./test_dfxml.sh
@@ -21,9 +30,15 @@
 check-mac_timelines:
 	./test_mac_timelines.sh
 	
-clean:
+check-Objects:
+	$(MAKE) -C test_Objects
+
+clean: clean-Objects
 	rm -f dfxml_tool_*xml
 	rm -f cat_test_*.dfxml
 	rm -f idifference_test.txt
 	rm -f idifference_test*.dfxml
 	rm -f demo_mac_timeline*.txt
+
+clean-Objects:
+	$(MAKE) -C test_Objects clean

=== src/dfxml/python/test_Objects/Makefile ===

SHELL = /bin/bash

PYTHON2 = python2.7
PYTHON3 = python3.3

all: check

check:
	for PY in "$(PYTHON3)" "$(PYTHON2)"; do \
	  echo Testing Python: $$PY >&2; \
	  $$PY Objects.py && \
	  $$PY test_diffing_CellObject.py && \
	  $$PY test_diffing_FileObject.py && \
	  $$PY test_diffing_HiveObject.py && \
	  $$PY test_diffing_ByteRuns.py && \
	  $$PY test_diffing_TimestampObject.py && \
	  $$PY test_diffing_VolumeObject.py && \
	  $$PY test_ByteRun.py && \
	  $$PY test_ByteRuns.py && \
	  $$PY test_FileObject_byte_run_facets.py && \
	  $$PY test_FileObject_from_stat.py && \
	  $$PY test_RegXMLObject.py && \
	  $$PY test_VolumeObject_hash.py && \
	  $$PY verify_differential_dfxml_01.py && \
	  $$PY verify_differential_dfxml_23.py ; \
	done
	./test_cat_partitions.sh
	./test_differential_dfxml.sh

clean:
	rm -f differential_dfxml_test_[02]*
	rm -f verify_differential_dfxml_{01,23}.py-test[12].xml
	rm -f test_difference_counts.py-d*
	rm -f test_cat_partitions.sh.dfxml

=== debian/changelog ===
tcpflow (1.4.5+repack1-4build2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:54:47 +0000

tcpflow (1.4.5+repack1-4build1) bionic; urgency=medium

  * No-change rebuild for http-parser soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Nov 2017 14:00:14 +0000

tcpflow (1.4.5+repack1-4) unstable; urgency=medium

  * Fix FTCFBS: Let dh_auto_configure pass cross compilers (Closes:
    #852766)

 -- Dima Kogan <dkogan@debian.org>  Sun, 29 Jan 2017 20:26:14 -0800

tcpflow (1.4.5+repack1-3) unstable; urgency=medium

  * Bug fix: "FTBFS with openssl 1.1.0", thanks to Kurt Roeckx (Closes:
    #828570).

 -- Dima Kogan <dkogan@debian.org>  Fri, 28 Oct 2016 11:49:16 -0700

tcpflow (1.4.5+repack1-2) unstable; urgency=medium

  [ Dima Kogan ]
  * updated maintainer email address
  * Removed separate -dbg package

  [ Chris Lamb ]
  * Build uses a UTC date to make builds reproducible (Closes: #831584)

 -- Dima Kogan <dkogan@debian.org>  Sun, 17 Jul 2016 12:31:54 -0700

tcpflow (1.4.5+repack1-1) unstable; urgency=medium

  * New upstream release
  * -b 0 now works (Closes: #638804)

 -- Dima Kogan <dima@secretsauce.net>  Tue, 25 Aug 2015 20:55:52 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: tcpflow
 Section: net
 Priority: optional
-Maintainer: Dima Kogan <dima@secretsauce.net>
-Standards-Version: 3.9.5
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dima Kogan <dkogan@debian.org>
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9),
                libpcap0.8-dev,
                zlib1g,
@@ -70,29 +71,3 @@
  .
  This package has no dependency on libcairo or any x11 libraries, and cannot
  generate graphical reports.
-
-Package: tcpflow-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: ${misc:Depends}, tcpflow (= ${binary:Version})
-Description: TCP flow recorder - debug symbols
- tcpflow is a program that captures data transmitted as part of TCP
- connections (flows), and stores the data in a way that is convenient
- for protocol analysis or debugging. A program like 'tcpdump' shows a
- summary of packets seen on the wire, but usually doesn't store the
- data that's actually being transmitted. In contrast, tcpflow
- reconstructs the actual data streams and stores each flow in a
- separate file for later analysis.
- .
- tcpflow understands sequence numbers and will correctly reconstruct
- data streams regardless of retransmissions or out-of-order delivery.
- However, it currently does not understand IP fragments; flows
- containing IP fragments will not be recorded properly.
- .
- tcpflow is based on the LBL Packet Capture Library and therefore
- supports the same rich filtering expressions that programs like
- 'tcpdump' support. tcpflow can also rebuild flows from data captured
- with 'tcpdump -w'.
- .
- Debug symbols

=== debian/watch ===
version = 3
opts=dversionmangle=s/(?:\+dfsg|\+repack).*$// \
  https://github.com/simsong/tcpflow/tags .*/tcpflow/archive/tcpflow-(\d[\d\.]+).tar.gz

## tcpflow 1.5.0+repack1

=== debian/changelog ===
tcpflow (1.5.0+repack1-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Sat, 15 Sep 2018 16:53:26 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tcpflow
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dima Kogan <dkogan@debian.org>
+Maintainer: Dima Kogan <dkogan@debian.org>
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9),
                libpcap0.8-dev,
@@ -15,8 +14,8 @@
                libcairo2-dev,
                libhttp-parser-dev
 Homepage: https://github.com/simsong/tcpflow
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tcpflow.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/tcpflow.git
+Vcs-Browser: https://salsa.debian.org/debian/tcpflow
+Vcs-Git: https://salsa.debian.org/debian/tcpflow.git
 
 Package: tcpflow
 Architecture: any

## tcpflow 1.5.2+repack1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(tcpflow VERSION 1.4.6 LANGUAGES CXX C)
# Within the above line, "C" is required for two reasons:
# 1. find_package(Threads) fails using only CXX on cmake-3.3 and previous
# 2. CMake files use CMAKE_C_COMPILER_ID instead of CMAKE_CXX_COMPILER_ID

# The following line if for find_package(pcap) -> cmake/FindPCAP.cmake
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(cmake/options.cmake)             # Set default CMake options
include(cmake/coverage.cmake)            # Configure the build "Coverage"
include(cmake/compilation-flags.cmake)   # Compiler & Linker flags
include(cmake/warning-flags.cmake)       # Compiler & Linker warnings

# Source code
add_subdirectory(src)

# Generate documentation
#add_subdirectory( doc EXCLUDE_FROM_ALL )

=== src/CMakeLists.txt ===
set(CMAKE_CXX_STANDARD 11)

# System Dependencies
find_package(Boost) #TODO(olibre): COMPONENTS program_options system)
find_package(PCAP)
find_package(OpenSSL)
find_package(Threads)
find_package(PythonLibs)


# TODO(olibre): Use target_link_libraries() instead of include_directories()
include_directories(.)


# TODO(olibre): Fix detection of below headers
include (CheckIncludeFiles)
# Below lines have been produced using this command line
# sed 's|/\* ||' config.h | awk '$1 ~ /#undef|#define/{print $2}' | sort -u | while read w ; do grep -wB1 $w config.h | grep '[^ ]*> header' | sed "s/.*</check_include_files(/;s/>//;s/header.*/$w)/"; done
check_include_files(arpa/inet.h HAVE_ARPA_INET_H)
check_include_files(boost/icl/interval.hpp HAVE_BOOST_ICL_INTERVAL_HPP)
check_include_files(boost/icl/interval_map.hpp HAVE_BOOST_ICL_INTERVAL_MAP_HPP)
check_include_files(boost/icl/interval_set.hpp HAVE_BOOST_ICL_INTERVAL_SET_HPP)
check_include_files(boost/version.hpp HAVE_BOOST_VERSION_HPP)
check_include_files(cairo/cairo.h HAVE_CAIRO_CAIRO_H)
check_include_files(cairo/cairo-pdf.h HAVE_CAIRO_CAIRO_PDF_H)
check_include_files(cairo.h HAVE_CAIRO_H)
check_include_files(cairo-pdf.h HAVE_CAIRO_PDF_H)
check_include_files(ctype.h HAVE_CTYPE_H)
check_include_files(err.h HAVE_ERR_H)
check_include_files(exiv2/image.hpp HAVE_EXIV2_IMAGE_HPP)
check_include_files(expat.h HAVE_EXPAT_H)
check_include_files(fcntl.h HAVE_FCNTL_H)
check_include_files(inttypes.h HAVE_INTTYPES_H)
check_include_files(linux/if_ether.h HAVE_LINUX_IF_ETHER_H)
check_include_files(memory.h HAVE_MEMORY_H)
check_include_files(net/ethernet.h HAVE_NET_ETHERNET_H)
check_include_files(net/if.h HAVE_NET_IF_H)
check_include_files(net/if_var.h HAVE_NET_IF_VAR_H)
check_include_files(netinet/in.h HAVE_NETINET_IN_H)
check_include_files(netinet/in_systm.h HAVE_NETINET_IN_SYSTM_H)
check_include_files(netinet/ip_ether.h HAVE_NETINET_IP_ETHER_H)
check_include_files(netinet/ip.h HAVE_NETINET_IP_H)
check_include_files(netinet/ip_var.h HAVE_NETINET_IP_VAR_H)
check_include_files(netinet/tcp.h HAVE_NETINET_TCP_H)
check_include_files(netinet/tcpip.h HAVE_NETINET_TCPIP_H)
check_include_files(openssl/aes.h HAVE_OPENSSL_AES_H)
check_include_files(openssl/bio.h HAVE_OPENSSL_BIO_H)
check_include_files(openssl/evp.h HAVE_OPENSSL_EVP_H)
check_include_files(openssl/hmac.h HAVE_OPENSSL_HMAC_H)
check_include_files(openssl/md5.h HAVE_OPENSSL_MD5_H)
check_include_files(openssl/pem.h HAVE_OPENSSL_PEM_H)
check_include_files(openssl/rand.h HAVE_OPENSSL_RAND_H)
check_include_files(openssl/rsa.h HAVE_OPENSSL_RSA_H)
check_include_files(openssl/sha.h HAVE_OPENSSL_SHA_H)
check_include_files(openssl/x509.h HAVE_OPENSSL_X509_H)
check_include_files(pcap.h HAVE_PCAP_H)
check_include_files(pcap/pcap.h HAVE_PCAP_PCAP_H)
check_include_files(pthread.h HAVE_PTHREAD_H)
check_include_files(pwd.h HAVE_PWD_H)
check_include_files(regex.h HAVE_REGEX_H)
check_include_files(semaphore.h HAVE_SEMAPHORE_H)
check_include_files(signal.h HAVE_SIGNAL_H)
check_include_files(sqlite3.h HAVE_SQLITE3_H)
check_include_files(stdint.h HAVE_STDINT_H)
check_include_files(stdio.h HAVE_STDIO_H)
check_include_files(stdlib.h HAVE_STDLIB_H)
check_include_files(string HAVE_STRING)
check_include_files(string.h HAVE_STRING_H)
check_include_files(strings.h HAVE_STRINGS_H)
check_include_files(sys/bitypes.h HAVE_SYS_BITYPES_H)
check_include_files(sys/cdefs.h HAVE_SYS_CDEFS_H)
check_include_files(syslog.h HAVE_SYSLOG_H)
check_include_files(sys/mman.h HAVE_SYS_MMAN_H)
check_include_files(sys/resource.h HAVE_SYS_RESOURCE_H)
check_include_files(sys/socket.h HAVE_SYS_SOCKET_H)
check_include_files(sys/stat.h HAVE_SYS_STAT_H)
check_include_files(sys/types.h HAVE_SYS_TYPES_H)
check_include_files(sys/utsname.h HAVE_SYS_UTSNAME_H)
check_include_files(sys/wait.h HAVE_SYS_WAIT_H)
check_include_files(tr1/unordered_map HAVE_TR1_UNORDERED_MAP)
check_include_files(tr1/unordered_set HAVE_TR1_UNORDERED_SET)
check_include_files(tre/tre.h HAVE_TRE_TRE_H)
check_include_files(unistd.h HAVE_UNISTD_H)
check_include_files(unordered_map HAVE_UNORDERED_MAP)
check_include_files(unordered_set HAVE_UNORDERED_SET)
check_include_files(winsock2.h HAVE_WINSOCK2_H)
check_include_files(zlib.h HAVE_ZLIB_H)
check_include_files(python2.7/Python.h PYTHON2_7_PYTHON_H)  # TODO(olibre): Use instead PYTHON_INCLUDE_DIRS
# There are many other #define not (yet) implemented by above CMake directives.
# To list the #define use the following command lines:
# sed 's|/\* ||' config.h | awk '$1 ~ /#undef|#define/{print $2}' | sort -u | while read w ; do grep -wB1 $w config.h | grep '[^ ]*> header' -q && echo $w; done > already-implemented-using-cmake-directives
# ( sed 's|/\* ||' config.h | awk '$1 ~ /#undef|#define/{print $2}'  | sort -u | while read w ; do find src -name 'config.h' -o -regex '.*.h\|.*.cpp' -exec fgrep -Iowqm1 $w {} '+' && echo "$w" ; done ) > used-in-source-code
# comm -13 already-implemented-using-cmake-directives used-in-source-code | grep -wf - config.h -B1 --color=always > rest-to-implement-using-cmake-directives
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/../config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

# When all #define from config.h are implemented using CMake directives the following line...
include_directories(..)                            #include the <config.h> generated by autotools
# ...by this one:
# include_directories(${CMAKE_CURRENT_BINARY_DIR}) #include the <config.h> generated by CMake



file (GLOB netviz_cpp netviz/*.cpp)
file (GLOB netviz_h   netviz/*.h)
source_group("netviz headers" FILES ${netviz_h})
add_library (netviz  ${netviz_cpp}  ${netviz_h})
target_link_libraries(netviz cairo)  # TODO(olibre): Only if libcairo is present
target_include_directories(netviz PUBLIC netviz)
target_link_libraries(netviz cairo)

# add_subdirectory(dfxml/src)
set(dfxml_writer_h dfxml/src/dfxml_writer.h dfxml/src/hash_t.h)
source_group("dfxml_writer headers" FILES ${dfxml_writer_h})
add_library (dfxml_writer dfxml/src/dfxml_writer.cpp ${dfxml_writer_h})
target_link_libraries(dfxml_writer OpenSSL::SSL)
target_include_directories(dfxml_writer PUBLIC dfxml/src)

#file (GLOB wifipcap_glob_cpp wifipcap/*.cpp)
#file (GLOB wifipcap_glob_h   wifipcap/*.h)
#set (wifipcap_cpp datalink_wifi.cpp ${wifipcap_glob_cpp} )
#set (wifipcap_h   datalink_wifi.h   ${wifipcap_glob_h} )
set (wifipcap_cpp
    datalink_wifi.cpp
    scan_wifiviz.cpp
    wifipcap/TimeVal.cpp
    wifipcap/cpack.cpp
    wifipcap/wifipcap.cpp
    )
set (wifipcap_h
    datalink_wifi.h
    wifipcap/TimeVal.h
    wifipcap/arp.h
    wifipcap/cpack.h
    wifipcap/ether.h
    wifipcap/ethertype.h
    wifipcap/extract.h
    wifipcap/icmp.h
    wifipcap/ieee802_11_radio.h
    wifipcap/ip.h
    wifipcap/ip6.h
    wifipcap/ipproto.h
    wifipcap/llc.h
    wifipcap/os.h
    wifipcap/oui.h
    wifipcap/prism.h
    wifipcap/radiotap.h
    wifipcap/tcp.h
    wifipcap/types.h
    wifipcap/udp.h
    wifipcap/util.h
    wifipcap/wifipcap.h
    )
source_group("wifipcap headers" FILES ${wifipcap_h})
add_library (wifipcap ${wifipcap_cpp} ${wifipcap_h})
target_link_libraries(wifipcap dfxml_writer)
target_include_directories(wifipcap PUBLIC wifipcap be13_api pcap)  # TODO(olibre): Should not depend on be13_api

# add_subdirectory(http-parser)
source_group("http-parser headers" FILES http-parser/http_parser.h)
add_library (http-parser
    http-parser/http_parser.h
    http-parser/http_parser.c
)

# add_subdirectory(be13_api)
file (GLOB_RECURSE be13_api_h   be13_api/*.h)
file (GLOB         be13_api_cpp be13_api/*.cpp)
source_group("be13_api headers" FILES ${be13_api_h})
add_library (be13_api ${be13_api_h} ${be13_api_cpp})
target_link_libraries(be13_api wifipcap)
target_include_directories(be13_api PUBLIC be13_api)

set (tcpflow_cpp datalink.cpp flow.cpp
    tcpflow.cpp
    tcpip.cpp
    tcpdemux.cpp
    util.cpp
    scan_md5.cpp
    scan_http.cpp       # Depends on zlib
    scan_python.cpp     # Depends on PYTHON_LIBRARIES
    scan_tcpdemux.cpp
    scan_netviz.cpp
    pcap_writer.h
    mime_map.cpp
)
set (tcpflow_h
    iptree.h
    mime_map.h
    tcpip.h
    intrusive_list.h
    tcpflow.h
    tcpdemux.h
)
source_group("tcpflow headers" FILES ${tcpflow_h})
add_executable(tcpflow ${tcpflow_cpp} ${tcpflow_h})
target_link_libraries(tcpflow netviz wifipcap be13_api dfxml_writer http-parser z pcap ${PYTHON_LIBRARIES})  # add also ${PYTHON_INCLUDE_PATH}

=== src/dfxml/python/Makefile ===
--- 
+++ 
@@ -1,3 +1,30 @@
+#!/usr/bin/make -f
+
+# This software was developed at the National Institute of Standards
+# and Technology in whole or in part by employees of the Federal
+# Government in the course of their official duties. Pursuant to
+# title 17 Section 105 of the United States Code portions of this
+# software authored by NIST employees are not subject to copyright
+# protection and are in the public domain. For portions not authored
+# by NIST employees, NIST has been granted unlimited rights. NIST
+# assumes no responsibility whatsoever for its use by other parties,
+# and makes no guarantees, expressed or implied, about its quality,
+# reliability, or any other characteristic.
+#
+# We would appreciate acknowledgement if the software is used.
+
+all: \
+  check
+
+.PHONY: \
+  check-dfxml \
+  check-cat_fileobjects \
+  check-dfxml_tool \
+  check-idifference-dfxml \
+  check-mac_timelines \
+  check-Objects \
+  clean-Objects
+
 check: \
   check-dfxml \
   check-cat_fileobjects \
@@ -12,8 +39,9 @@
 doc: \
   Objects.html
 
-Objects.html: Objects.py
-	python3.3 -m pydoc -w Objects
+Objects.html: \
+  Objects.py
+	python3 -m pydoc -w Objects
 
 check-dfxml:
 	./test_dfxml.sh
@@ -29,7 +57,7 @@
 
 check-mac_timelines:
 	./test_mac_timelines.sh
-	
+
 check-Objects:
 	$(MAKE) -C test_Objects

=== src/dfxml/python/test_Objects/Makefile ===
#!/usr/bin/make -f

# This software was developed at the National Institute of Standards
# and Technology in whole or in part by employees of the Federal
# Government in the course of their official duties. Pursuant to
# title 17 Section 105 of the United States Code portions of this
# software authored by NIST employees are not subject to copyright
# protection and are in the public domain. For portions not authored
# by NIST employees, NIST has been granted unlimited rights. NIST
# assumes no responsibility whatsoever for its use by other parties,
# and makes no guarantees, expressed or implied, about its quality,
# reliability, or any other characteristic.
#
# We would appreciate acknowledgement if the software is used.

SHELL = /bin/bash

PYTHON2 = python2.7
PYTHON3 = $(shell source ../_pick_pythons.sh ; echo $$PYTHON3)

all: \
  check

.PHONY: \
  check-diff_file_ignore-py2 \
  check-diff_file_ignore-py3 \
  check-py2 \
  check-py3 \
  check-versioned

check: \
  check-py2 \
  check-py3
	./test_cat_partitions.sh
	./test_differential_dfxml.sh

check-diff_file_ignore-py2: \
  diff_file_ignore_sample-py2.dfxml \
  test_diff_file_ignore.py
	$(PYTHON2) test_diff_file_ignore.py --debug diff_file_ignore_sample-py2.dfxml

check-diff_file_ignore-py3: \
  diff_file_ignore_sample-py3.dfxml \
  test_diff_file_ignore.py
	$(PYTHON3) test_diff_file_ignore.py --debug diff_file_ignore_sample-py3.dfxml

check-py2:
	$(MAKE) \
	  PY=$(PYTHON2) \
	  check-diff_file_ignore-py2 \
	  check-versioned

check-py3:
	$(MAKE) \
	  PY=$(PYTHON3) \
	  check-diff_file_ignore-py3 \
	  check-versioned

check-versioned:
	@echo Testing Python: $$PY >&2
	$$PY Objects.py
	$$PY test_diffing_CellObject.py
	$$PY test_diffing_FileObject.py
	$$PY test_diffing_HiveObject.py
	$$PY test_diffing_ByteRuns.py
	$$PY test_diffing_TimestampObject.py
	$$PY test_diffing_VolumeObject.py
	$$PY test_ByteRun.py
	$$PY test_ByteRuns.py
	$$PY test_CellObject.py
	$$PY test_DFXMLObject_program.py ../../samples/difference_test_0.xml vi 8.0
	$$PY test_FileObject_allocation.py
	$$PY test_FileObject_byte_run_facets.py
	$$PY test_FileObject_externals.py
	$$PY test_FileObject_from_stat.py
	$$PY test_RegXMLObject.py
	$$PY test_VolumeObject_externals.py
	$$PY test_VolumeObject_hash.py
	$$PY verify_differential_dfxml_01.py
	$$PY verify_differential_dfxml_23.py

clean:
	rm -f differential_dfxml_test_[02]*
	rm -f verify_differential_dfxml_{01,23}.py-test[12].xml
	rm -f test_difference_counts.py-d*
	rm -f test_cat_partitions.sh.dfxml
	rm -f diff_file_ignore_sample-py[23].dfxml

diff_file_ignore_sample-py2.dfxml: \
  Objects.py \
  diff_file_ignore_sample_dfxml.py
	rm -f _$@
	$(PYTHON2) diff_file_ignore_sample_dfxml.py --debug _$@
	mv _$@ $@

diff_file_ignore_sample-py3.dfxml: \
  Objects.py \
  diff_file_ignore_sample_dfxml.py
	rm -f _$@
	$(PYTHON3) diff_file_ignore_sample_dfxml.py --debug _$@
	mv _$@ $@

=== debian/changelog ===
tcpflow (1.5.2+repack1-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:59:22 +0100

tcpflow (1.5.2+repack1-1build1) eoan; urgency=medium

  * No-change rebuild for http-parser soname change.

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 20 Aug 2019 18:28:42 +0000

tcpflow (1.5.2+repack1-1) unstable; urgency=medium

  * New upstream release (Closes: #911263)

 -- Dima Kogan <dkogan@debian.org>  Wed, 21 Nov 2018 10:06:45 -0800

tcpflow (1.5.0+repack1-2) unstable; urgency=medium

  * Cherry-picked patch to fix security bug (Closes: #911263)

 -- Dima Kogan <dkogan@debian.org>  Fri, 16 Nov 2018 13:38:29 -0800

## tcpflow 1.6.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -177,12 +177,16 @@
     util.cpp
     scan_md5.cpp
     scan_http.cpp       # Depends on zlib
-    scan_python.cpp     # Depends on PYTHON_LIBRARIES
     scan_tcpdemux.cpp
     scan_netviz.cpp
     pcap_writer.h
     mime_map.cpp
 )
+
+# removed because it hasn't been updated to Python 3:
+# scan_python.cpp     # Depends on PYTHON_LIBRARIES
+
+
 set (tcpflow_h
     iptree.h
     mime_map.h

=== debian/changelog ===
tcpflow (1.6.1-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:23:34 +1100

tcpflow (1.6.1-3build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 01:24:20 +0000

tcpflow (1.6.1-3) unstable; urgency=medium

  * Fix build with gcc-13 (Closes: #1037869)

 -- Dima Kogan <dkogan@debian.org>  Sat, 05 Aug 2023 10:47:41 -0700

tcpflow (1.6.1-2) unstable; urgency=medium

  * Fixed debian/watch

 -- Dima Kogan <dkogan@debian.org>  Thu, 11 Nov 2021 22:20:46 -0800

tcpflow (1.6.1-1) unstable; urgency=medium

  * New upstream release (Closes: #951491)

 -- Dima Kogan <dkogan@debian.org>  Wed, 10 Mar 2021 20:01:07 -0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: tcpflow
 Section: net
 Priority: optional
-Maintainer: Dima Kogan <dkogan@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dima Kogan <dkogan@debian.org>
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                libpcap0.8-dev,
                zlib1g,
                autoconf, automake,
@@ -49,7 +50,7 @@
 Conflicts: tcpflow
 Provides: tcpflow
 Suggests: tcpdump
-Description: TCP flow recorder - version without X11 dependencies 
+Description: TCP flow recorder - version without X11 dependencies
  tcpflow is a program that captures data transmitted as part of TCP
  connections (flows), and stores the data in a way that is convenient
  for protocol analysis or debugging. A program like 'tcpdump' shows a

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

BUILDDIR     := $(CURDIR)/debian/build
BUILDDIR_NOX := $(CURDIR)/debian/build-nox

override_dh_auto_configure:
	autoreconf -f -i
	dh_auto_configure --builddirectory=$(BUILDDIR)
	dh_auto_configure --builddirectory=$(BUILDDIR_NOX) -- \
		--enable-cairo=false

override_dh_auto_build:
	dh_auto_build -a -- -C $(BUILDDIR_NOX)/src
	dh_auto_build -a -- -C $(BUILDDIR)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILDDIR) $(BUILDDIR_NOX) \
		config.log \
		config.hin \
		configure \
		src/Makefile.in

override_dh_auto_install:
	$(MAKE) -C $(BUILDDIR) install DESTDIR=$(BUILDDIR).inst
	$(MAKE) -C $(BUILDDIR_NOX) install DESTDIR=$(BUILDDIR_NOX).inst

=== debian/watch ===
version=4
opts=dversionmangle=s/(?:\+dfsg|\+repack).*$//,\
filenamemangle=s/.+\/tcpflow-?(\d\S+)\.tar\.gz/tcpflow-$1\.tar\.gz/ \
  https://github.com/simsong/tcpflow/tags .*/tcpflow-(\d\S+)\.tar\.gz
